Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLParser Class Reference

List of all members.

## Public Member Functions
| XMLParser ($Encoding="UTF-8")
| ParseText ($Text, $LastTextToParse=TRUE)
| SeekTo ()#(args may be tag names or indexes)
| SeekToParent ()
| SeekToChild ($ChildIndex=0)
| SeekToRoot ()
| NextTag ()
| NextItem ()
| PreviousItem ()
| GetTagName ()
| GetData ()
| GetAttribute ()
| GetAttributes ()
| SetDebugLevel ($NewLevel)
| OpenTag ($Parser, $ElementName, $ElementAttribs)
| ReceiveData ($Parser, $Data)
| CloseTag ($Parser, $ElementName)
| PerformSeek ($SeekArgs, $MoveSeekPointer)
| PerformGetAttribute ($Args, $GetMultiple)
| RebuildItemList ()
| DumpInternalArrays ()
## Public Attributes
| $TagNames
| $TagAttribs
| $TagData
| $TagParents
| $CurrentParseIndex
| $CurrentSeekIndex
| $CurrentItemIndex
| $CurrentItemList
| $CurrentItemCount
| $DebugLevel
| $NameKeyCache

## Detailed Description

Definition at line 18 of file XMLParser.php.

## Member Function Documentation

XMLParser::CloseTag | ( | $ | Parser,
|  | $ | ElementName |
| ) |  |  |

Definition at line 350 of file XMLParser.php.

XMLParser::DumpInternalArrays | ( |  | ) |

Definition at line 523 of file XMLParser.php.

XMLParser::GetAttribute | ( |  | ) |

Definition at line 286 of file XMLParser.php.

References PerformGetAttribute().

XMLParser::GetAttributes | ( |  | ) |

Definition at line 296 of file XMLParser.php.

References PerformGetAttribute().

XMLParser::GetData | ( |  | ) |

Definition at line 245 of file XMLParser.php.

References PerformSeek().

XMLParser::GetTagName | ( |  | ) |

Definition at line 232 of file XMLParser.php.

XMLParser::NextItem | ( |  | ) |

Definition at line 177 of file XMLParser.php.

References RebuildItemList().

XMLParser::NextTag | ( |  | ) |

Definition at line 149 of file XMLParser.php.

XMLParser::OpenTag | ( | $ | Parser,
|  | $ | ElementName,
|  | $ | ElementAttribs |
| ) |  |  |

Definition at line 329 of file XMLParser.php.

XMLParser::ParseText | ( | $ | Text,
|  | $ | LastTextToParse = `TRUE` |
| ) |  |  |

Definition at line 47 of file XMLParser.php.

XMLParser::PerformGetAttribute | ( | $ | Args,
|  | $ | GetMultiple |
| ) |  |  |

Definition at line 439 of file XMLParser.php.

References PerformSeek().

Referenced by GetAttribute(), and GetAttributes().

Here is the caller graph for this function:

XMLParser::PerformSeek | ( | $ | SeekArgs,
|  | $ | MoveSeekPointer |
| ) |  |  |

Definition at line 362 of file XMLParser.php.

Referenced by GetData(), PerformGetAttribute(), and SeekTo().

Here is the caller graph for this function:

XMLParser::PreviousItem | ( |  | ) |

Definition at line 206 of file XMLParser.php.

References RebuildItemList().

XMLParser::RebuildItemList | ( |  | ) |

Definition at line 500 of file XMLParser.php.

Referenced by NextItem(), and PreviousItem().

Here is the caller graph for this function:

XMLParser::ReceiveData | ( | $ | Parser,
|  | $ | Data |
| ) |  |  |

Definition at line 343 of file XMLParser.php.

XMLParser::SeekTo | ( |  | ) |

Definition at line 54 of file XMLParser.php.

References PerformSeek().

XMLParser::SeekToChild | ( | $ | ChildIndex = `0` | ) |

Definition at line 114 of file XMLParser.php.

XMLParser::SeekToParent | ( |  | ) |

Definition at line 88 of file XMLParser.php.

XMLParser::SeekToRoot | ( |  | ) |

Definition at line 143 of file XMLParser.php.

XMLParser::SetDebugLevel | ( | $ | NewLevel | ) |

Definition at line 323 of file XMLParser.php.

XMLParser::XMLParser | ( | $ | Encoding = `"UTF-8"` | ) |

Definition at line 23 of file XMLParser.php.

## Member Data Documentation

XMLParser::$CurrentItemCount

Definition at line 318 of file XMLParser.php.

XMLParser::$CurrentItemIndex

Definition at line 316 of file XMLParser.php.

XMLParser::$CurrentItemList

Definition at line 317 of file XMLParser.php.

XMLParser::$CurrentParseIndex

Definition at line 314 of file XMLParser.php.

XMLParser::$CurrentSeekIndex

Definition at line 315 of file XMLParser.php.

XMLParser::$DebugLevel

Definition at line 319 of file XMLParser.php.

XMLParser::$NameKeyCache

Definition at line 320 of file XMLParser.php.

XMLParser::$TagAttribs

Definition at line 311 of file XMLParser.php.

XMLParser::$TagData

Definition at line 312 of file XMLParser.php.

XMLParser::$TagNames

Definition at line 310 of file XMLParser.php.

XMLParser::$TagParents

Definition at line 313 of file XMLParser.php.

The documentation for this class was generated from the following file:

- XMLParser.php